#include <stdio.h>

/* BSP */
#include "board.h"

/* App */
#include "app_syscalls.h"
#include "main.h"

#define APP_SAMPLING_MOVING_AVG 100

UART_HandleTypeDef huart1;
TIM_HandleTypeDef  htim14;

static uint8_t          s_moving_avg[APP_SAMPLING_MOVING_AVG];
static volatile uint8_t s_moving_avg_ptr = 0U;

int app_bpc_init(void);

int main(void) {
    HAL_Init();

    BOARD_InitBootPins();

    app_syscalls_init();

    printf("Hello world.\r\n");

    app_bpc_init();

    for (;;) {
        __WFI();
    }

    return 0;
}
