#ifndef BOARD_H
#define BOARD_H

/* ==== LED ==== */
#define BOARD_LED_1_PORT GPIOB
#define BOARD_LED_2_PORT GPIOB
#define BOARD_LED_3_PORT GPIOB

#define BOARD_LED_1_PIN GPIO_PIN_1
#define BOARD_LED_2_PIN GPIO_PIN_0
#define BOARD_LED_3_PIN GPIO_PIN_3

/* ==== UART ==== */
#define BOARD_UART_TX_PORT GPIOA
#define BOARD_UART_RX_PORT GPIOA

#define BOARD_UART_TX_PIN GPIO_PIN_2
#define BOARD_UART_RX_PIN GPIO_PIN_3

/* ==== BPC ==== */
#define BOARD_BPC_PON_PORT  GPIOA
#define BOARD_BPC_NTCO_PORT GPIOA

#define BOARD_BPC_PON_PIN  GPIO_PIN_7
#define BOARD_BPC_NTCO_PIN GPIO_PIN_4

void BOARD_InitBootPins(void);
void BOARD_InitLEDPins(void);
void BOARD_InitBPCPins(void);

#endif  // BOARD_H
